Page MenuHomePhabricator

Clean up leftover key spaces
Closed, ResolvedPublic

Description

The following keyspaces exist in production but seem to be leftover from the storage transition or other activities:

From removing the aggregated feed storage:

> "commons_T_feed_aggregated"
> "enwiki_T_feed_aggregated"
> "others_T_feed_aggregated"
> "wikipedia_T_feed_aggregated"

From mathoid transition:

> "globaldomain_T_mathoid_input"
> "globaldomain_T_mathoid_mml"
> "globaldomain_T_mathoid_png"
> "globaldomain_T_mathoid_svg"

Related Objects

Event Timeline

Pchelolo created this task.Jun 13 2018, 9:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 9:37 AM

Mathoid keyspaces seem to be truncated, but not deleted:

nodetool-a cfstats "globaldomain_T_mathoid_png"
Total number of tables: 194
----------------
Keyspace : globaldomain_T_mathoid_png
	Read Count: 0
	Read Latency: NaN ms
	Write Count: 0
	Write Latency: NaN ms
	Pending Flushes: 0
		Table: data
		SSTable count: 0
		Space used (live): 0
		Space used (total): 0

The feed KS were not truncated or deleted:

nodetool-a cfstats "enwiki_T_feed_aggregated";
Total number of tables: 194
----------------
Keyspace : enwiki_T_feed_aggregated
	Read Count: 0
	Read Latency: NaN ms
	Write Count: 0
	Write Latency: NaN ms
	Pending Flushes: 0
		Table: data
		SSTable count: 6
		Space used (live): 360441
		Space used (total): 360441

However, these nodetool results suggest they indeed are not used and can be removed.

Eevans triaged this task as Medium priority.Jun 13 2018, 7:33 PM
Eevans added a project: User-Eevans.
Eevans moved this task from Backlog to Next on the User-Eevans board.

I've verified these myself, by for sake of posterity, I propose applying the following:

1drop_commons_T_feed_aggregated:
2 statement: |
3 DROP KEYSPACE IF EXISTS "commons_T_feed_aggregated";
4drop_enwiki_T_feed_aggregated:
5 statement: |
6 DROP KEYSPACE IF EXISTS "enwiki_T_feed_aggregated";
7drop_others_T_feed_aggregated:
8 statement: |
9 DROP KEYSPACE IF EXISTS "others_T_feed_aggregated";
10drop_wikipedia_T_feed_aggregated:
11 statement: |
12 DROP KEYSPACE IF EXISTS "wikipedia_T_feed_aggregated";
13drop_globaldomain_T_mathoid_input:
14 statement: |
15 DROP KEYSPACE IF EXISTS "globaldomain_T_mathoid_input";
16drop_globaldomain_T_mathoid_mml:
17 statement: |
18 DROP KEYSPACE IF EXISTS "globaldomain_T_mathoid_mml";
19drop_globaldomain_T_mathoid_png:
20 statement: |
21 DROP KEYSPACE IF EXISTS "globaldomain_T_mathoid_png";
22drop_globaldomain_T_mathoid_svg:
23 statement: |
24 DROP KEYSPACE IF EXISTS "globaldomain_T_mathoid_svg";

Eevans moved this task from Next to Blocked on the User-Eevans board.Jun 18 2018, 3:50 PM

LGTM, +1, let's do it! :)

Mentioned in SAL (#wikimedia-operations) [2018-06-18T16:39:37Z] <urandom> DROP unused Cassandra keyspaces - T197080

Eevans closed this task as Resolved.Jun 19 2018, 2:46 AM
Vvjjkkii renamed this task from Clean up leftover key spaces to v4aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Eevans as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Eevans; removed: Aklapper.
mobrovac renamed this task from v4aaaaaaaa to Clean up leftover key spaces.Jul 1 2018, 11:31 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Eevans.
mobrovac lowered the priority of this task from High to Medium.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: Eevans.